#[derive(Clone,Copy)]
pub struct ColorSequence{}
impl ColorSequence{
	pub const fn new()->Self{
		Self{}
	}
}
impl Into<rbx_types::ColorSequence> for ColorSequence{
	fn into(self)->rbx_types::ColorSequence{
		rbx_types::ColorSequence{
			keypoints:Vec::new()
		}
	}
}

pub fn set_globals(lua:&mlua::Lua,globals:&mlua::Table)->Result<(),mlua::Error>{
	let number_sequence_table=lua.create_table()?;

	number_sequence_table.raw_set("new",
		lua.create_function(|_,_:mlua::MultiValue|
			Ok(ColorSequence::new())
		)?
	)?;

	globals.set("ColorSequence",number_sequence_table)?;

	Ok(())
}

impl mlua::UserData for ColorSequence{}
type_from_lua_userdata!(ColorSequence);
